> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trophy.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a points boost by ID

> Get a single points boost by ID.



## OpenAPI

````yaml https://admin.trophy.so/v1/openapi get /points/{systemId}/boosts/{id}
openapi: 3.1.0
info:
  title: Trophy
  version: 1.19.0
servers:
  - x-fern-server-name: Admin API
    url: https://admin.trophy.so/v1
    description: Admin API
security: []
paths:
  /points/{systemId}/boosts/{id}:
    servers:
      - url: https://admin.trophy.so/v1
        description: Admin API
    parameters:
      - $ref: '#/components/parameters/TenantId'
    get:
      tags:
        - Admin
      summary: Get a points boost by ID
      description: Get a single points boost by ID.
      operationId: admin_points_boosts_get
      parameters:
        - name: systemId
          in: path
          description: The UUID of the points system.
          required: true
          schema:
            type: string
            format: uuid
          example: 550e8400-e29b-41d4-a716-446655440000
        - name: id
          in: path
          description: The UUID of the points boost.
          required: true
          schema:
            type: string
            format: uuid
          example: 660f9500-f30c-42e5-b827-557766550001
      responses:
        '200':
          description: The points boost.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AdminPointsBoost'
              examples:
                A single boost:
                  value:
                    id: 550e8400-e29b-41d4-a716-446655440000
                    name: Double XP Weekend
                    status: active
                    start: '2024-01-01'
                    end: '2024-01-03'
                    multiplier: 2
                    rounding: down
                    userId: user-123
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AdminErrorBody'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AdminErrorBody'
        '422':
          description: Unprocessible Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AdminErrorBody'
      security:
        - ApiKeyAuth: []
      x-codeSamples:
        - lang: javascript
          source: >
            import { TrophyApiClient } from '@trophyso/node';


            const trophy = new TrophyApiClient({
              apiKey: 'YOUR_API_KEY'
            });


            const boost = await trophy.admin.points.boosts.get('system-uuid',
            'boost-uuid');
        - lang: python
          source: |
            from trophy import TrophyApi

            client = TrophyApi(api_key='YOUR_API_KEY')

            boost = client.admin.points.boosts.get(
              system_id='system-uuid',
              boost_id='boost-uuid'
            )
        - lang: go
          source: >
            import (
              "context"

              api "github.com/trophyso/trophy-go"
              trophyclient "github.com/trophyso/trophy-go/client"
              "github.com/trophyso/trophy-go/option"
            )


            client := trophyclient.NewClient(
              option.WithApiKey("YOUR_API_KEY"),
            )


            response, err := client.Admin.Points.Boosts.Get(context.TODO(),
            "system-uuid", "boost-uuid")
components:
  parameters:
    TenantId:
      name: Tenant-ID
      in: header
      description: >-
        The tenant identifier for multi-tenant organisations. Required when the
        organisation has multi-tenancy enabled. Pass your own internal customer
        ID for the tenant. Ignored for single-tenant organisations.
      required: false
      schema:
        type: string
      example: customer_12345
  schemas:
    AdminPointsBoost:
      title: AdminPointsBoost
      type: object
      description: A points boost as returned from admin endpoints.
      properties:
        id:
          type: string
          format: uuid
          description: The UUID of the boost.
        name:
          type: string
          description: The name of the boost.
        status:
          type: string
          enum:
            - active
            - scheduled
            - finished
          description: The status of the boost.
        start:
          type: string
          format: date
          description: The start date (YYYY-MM-DD).
        end:
          type:
            - string
            - 'null'
          format: date
          description: The end date (YYYY-MM-DD) or null if no end date.
        multiplier:
          type: number
          description: The points multiplier.
        rounding:
          type: string
          enum:
            - down
            - up
            - nearest
          description: How boosted points are rounded.
        userId:
          type:
            - string
            - 'null'
          description: >-
            The ID of the user the boost was created for, or null for
            global/attribute-filtered boosts.
        userAttributes:
          type: array
          description: >-
            User attribute filters applied to the boost. Only present for
            non-user-specific boosts (i.e. when `userId` is null). Empty array
            if no filters are set.
          items:
            type: object
            properties:
              attributeId:
                type: string
                format: uuid
                description: The UUID of the user attribute.
              attributeValue:
                type: string
                description: The matched attribute value.
            required:
              - attributeId
              - attributeValue
      required:
        - id
        - name
        - status
        - start
        - end
        - multiplier
        - rounding
        - userId
    AdminErrorBody:
      title: AdminErrorBody
      type: object
      properties:
        error:
          type: string
      required:
        - error
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````